﻿$ErrorActionPreference = 'Stop';

# Uninstall the old service.
if ($null -ne (Get-Service -Name "UEFS Docker Volume Plugin" -ErrorAction SilentlyContinue)) {
  Stop-Service -Name "UEFS Docker Volume Plugin"
  sc.exe delete "UEFS Docker Volume Plugin"
}

# Stop the service if it's running. The install script will start it again after upgrades.
if ($null -ne (Get-Service -Name "UEFS Service" -ErrorAction SilentlyContinue)) {
  Stop-Service -Name "UEFS Service"
}